org.springframework.web.socket.sockjs.client

## Class SockJsUrlInfo

- java.lang.Object
- - org.springframework.web.socket.sockjs.client.SockJsUrlInfo

    public class SockJsUrlInfo
    extends Object

Container for the base URL of a SockJS endpoint with additional helper methods to derive related SockJS URLs: specifically, the `info` and `transport` URLs.

Since:
  4.1
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`SockJsUrlInfo(URI sockJsUrl)`

### Method Summary

All Methods Instance Methods Concrete Methods
`URI` `getInfoUrl()`
`String` `getServerId()`
`String` `getSessionId()`
`URI` `getSockJsUrl()`
`URI` `getTransportUrl(TransportType transportType)`
`protected UUID` `getUuid()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SockJsUrlInfo

    public SockJsUrlInfo(URI sockJsUrl)

### Method Detail

#### getSockJsUrl

    public URI getSockJsUrl()

#### getServerId

    public String getServerId()

#### getSessionId

    public String getSessionId()

#### getUuid

    protected UUID getUuid()

#### getInfoUrl

    public URI getInfoUrl()

#### getTransportUrl

    public URI getTransportUrl(TransportType transportType)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`